#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 46. Printing

- Prev

  Cups-2.4.11

- Next

  cups-filters-2.0.1

- Up
- Home

# cups-browsed-2.1.1

## Introduction to cups-browsed

The cups-browsed daemon is used to browse the network for remote CUPS queues and IPP network printers and automatically create local queues pointing to them.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/OpenPrinting/cups-browsed/releases/download/2.1.1/cups-browsed-2.1.1.tar.xz

- Download MD5 sum: 293948973ebfc7ef4d5d8242d5733181

- Download size: 412 KB

- Estimated disk space required: 5.3 MB

- Estimated build time: less than 0.1 SBU (Using parallelism=4)

### cups-browsed Dependencies

#### Required

Avahi-0.8, libcupsfilters-2.1.1 and libppd-2.1.1

#### Optional

OpenLDAP-2.6.9

## Installation of cups-browsed

Install cups-browsed by running the following commands:

    ./configure --prefix=/usr                   \
                --with-cups-rundir=/run/cups    \
                --without-rcdir                 \
                --disable-static                \
                --docdir=/usr/share/doc/cups-browsed-2.1.1 &&
    make

This package does not come with a functional test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-cups-rundir=/run/cups`: Defines the directory containing transient printing data. The default `/var/run/cups` is obsolete.

`--without-rcdir`: This switch disables installation of the bundled bootscript which is not compatible with BLFS.

## Contents

Installed Programs: cups-browsed
Installed Libraries: None
Installed Directories: None

### Short Descriptions

cups-browsed | is a daemon for browsing the Bonjour and CUPS broadcasts of shared, remote CUPS printers

- Prev

  Cups-2.4.11

- Next

  cups-filters-2.0.1

- Up
- Home